summaryrefslogtreecommitdiffstats
path: root/ci/script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/script.sh')
-rwxr-xr-xci/script.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/ci/script.sh b/ci/script.sh
new file mode 100755
index 00000000..3b717e5f
--- /dev/null
+++ b/ci/script.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -ex
+
+# Incorporate TARGET env var to the build and test process
+cargo build --target "$TARGET" --verbose
+
+# We cannot run arm executables on linux
+if [[ $TARGET != arm-unknown-linux-gnueabihf ]] && [[ $TARGET != aarch64-unknown-linux-gnu ]]; then
+ cargo test --target "$TARGET" --verbose
+
+ cargo run --target "$TARGET" -- < /dev/null
+fi